Bug 807141 - Return "Node execution failure" while creating an jboss application
Summary: Return "Node execution failure" while creating an jboss application
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Dan McPherson
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-27 07:23 UTC by bzhao
Modified: 2015-05-14 22:52 UTC (History)
2 users (show)

Fixed In Version: devenv_1677
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-13 18:34:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description bzhao 2012-03-27 07:23:32 UTC
Description of problem:
It'll return error messages "Node execution failure (invalid exit code from node)" while creating an jboss application

Version-Release number of selected component (if applicable):
rhc-0.89.4-1.git.0.a917794.el6.noarch
rhc-cartridge-jbossas-7-0.89.2-1.git.0.6551ede.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1.Create an application of jbossas type
# rhc-create-app -t jbossas-7 -predhat -a jbosstest

  
Actual results:
Return error messages "Node execution failure (invalid exit code from node).  If the problem persists please contact Red Hat support."

Expected results:
Jbossas application could be created successfully

Additional info:
Submitting form:
debug: true
rhlogin: xxx
Contacting https://xxxx
Creating application: jbosstest in xxx
Contacting https://xxxx
Problem reported from server. Response code was 500.

DEBUG:
ERROR: unable to destroy user account c1f4de0a8521427da48ac07f0a33a10b
Cartridge return code: 121

Exit Code: 1
broker_c: namespacerhloginsshapp_uuiddebugaltercartridgecart_typeactionapp_nameapi
api_c: placeholder
API version:    1.1.3

RESULT:
Node execution failure (invalid exit code from node).  If the problem persists please contact Red Hat support.

Comment 1 bzhao 2012-03-28 11:27:03 UTC
Passed verifition on devenv_1674


Note You need to log in before you can comment on or make changes to this bug.